#pragma once

#include "core/systemevent.h"
#include <string>

namespace kku
{

class EditorCallback
{
public:
    virtual ~EditorCallback() = default;

    struct Metadata
    {
        const std::string group_title;
        const std::string title;
    };

    virtual bool isEnabled() const = 0;
    virtual void run() const = 0;

    virtual Metadata getMetadata() const = 0;
};

}
